=== debian/changelog ===
ros-galactic-rosidl-generator-cpp (2.2.3-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-rosidl-generator-cpp (2.2.2-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-rosidl-generator-cpp (2.2.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-rosidl-generator-cpp (2.2.0-1focal) focal; urgency=high

  * Expose C++ code generation via rosidl generate CLI (#570 <https://github.com/ros2/rosidl/issues/570>)
  * Contributors: Michel Hidalgo

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-rosidl-generator-cpp (2.1.0-1focal) focal; urgency=high

  * Switch to std::allocator_traits. (#564 <https://github.com/ros2/rosidl/issues/564>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 09 Mar 2021 08:00:00 -0000

ros-galactic-rosidl-generator-cpp (2.0.3-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-rosidl-generator-cpp (2.0.2-1focal) focal; urgency=high

  * Remove unnecessary assert on pointer created with new (#555 <https://github.com/ros2/rosidl/issues/555>)
  * Use ASSERT_TRUE to check for nullptr. (#543 <https://github.com/ros2/rosidl/issues/543>)
  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette, Stephen Brawner

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-rosidl-generator-cpp (2.0.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 28 Sep 2020 07:00:00 -0000

ros-galactic-rosidl-generator-cpp (2.0.0-1focal) focal; urgency=high

  * Add to_yaml() function for C++ messages (#527 <https://github.com/ros2/rosidl/issues/527>)
  * Contributors: Devin Bonnie, Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 24 Sep 2020 07:00:00 -0000

ros-galactic-rosidl-generator-cpp (1.1.0-1focal) focal; urgency=high

  * Add function for getting a types fully qualified name (#514 <https://github.com/ros2/rosidl/issues/514>)
  * Declaring is_message in namespace rosidl_generator_traits (#512 <https://github.com/ros2/rosidl/issues/512>)
  * Contributors: Jacob Perron, Sebastian Höffner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 17 Aug 2020 07:00:00 -0000

ros-galactic-rosidl-generator-cpp (1.0.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-rosidl-generator-cpp (1.0.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 22 May 2020 07:00:00 -0000

ros-galactic-rosidl-generator-cpp (0.9.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 May 2020 07:00:00 -0000

ros-galactic-rosidl-generator-cpp (0.9.1-1focal) focal; urgency=high

  * move test which only uses rosidl_runtime_cpp into that package (#481 <https://github.com/ros2/rosidl/issues/481>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-galactic-rosidl-generator-cpp (0.9.0-1focal) focal; urgency=high

  * Export targets in addition to include directories / libraries (#473 <https://github.com/ros2/rosidl/issues/473>)
  * Move non-entry point headers into detail subdirectory (#461 <https://github.com/ros2/rosidl/issues/461>)
  * Only export ament_cmake_core instead of ament_cmake (#459 <https://github.com/ros2/rosidl/issues/459>)
  * Rename rosidl_namespace_cpp namespace (#456 <https://github.com/ros2/rosidl/issues/456>)
  * Split rosidl_generator_c and rosidl_generator_cpp in two: rosidl_generator_x and rosidl_runtime_x (#442 <https://github.com/ros2/rosidl/issues/442>)
  * Add a utility for rigorously initializing a message instance (#448 <https://github.com/ros2/rosidl/issues/448>)
  * Avoid setter for empty struct dummy member (#455 <https://github.com/ros2/rosidl/issues/455>)
  * Code style only: wrap after open parenthesis if not in one line (#435 <https://github.com/ros2/rosidl/issues/435>)
  * Use f-string (#436 <https://github.com/ros2/rosidl/issues/436>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Grey

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Apr 2020 07:00:00 -0000

ros-galactic-rosidl-generator-cpp (0.8.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Jan 2020 08:00:00 -0000

ros-galactic-rosidl-generator-cpp (0.8.1-1focal) focal; urgency=high

  * Add is_message trait in support of tf2 conversions (#412 <https://github.com/ros2/rosidl/issues/412>)
  * Contributors: Michael Carroll

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-rosidl-generator-cpp (0.8.0-1focal) focal; urgency=high

  * Update guard against common Windows preprocessor definitions (#401 <https://github.com/ros2/rosidl/issues/401>)
  * Update tests for new message types in test_interface_files (#397 <https://github.com/ros2/rosidl/issues/397>)
  * use latin-1 encoding when reading/writing .idl files, prepend BOM to generated C/C++ files when necessary (#391 <https://github.com/ros2/rosidl/issues/391>)
  * Add emplace_back, move_assignment to BoundedVector (#385 <https://github.com/ros2/rosidl/issues/385>)
  * fix cpp generator and introspection ts for long double (#383 <https://github.com/ros2/rosidl/issues/383>)
  * Contributors: Dirk Thomas, Jacob Perron, Siddharth Kucheria, cho3

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Sep 2019 07:00:00 -0000
